<?php

namespace Drupal\pixelsize\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;
use Drupal;

/**
 * Plugin implementation of the 'PixelsizeDefaultFormatter' formatter.
 *
 * @FieldFormatter(
 *   id = "PixelsizeDefaultFormatter",
 *   label = @Translation("Pixelsize"),
 *   field_types = {
 *     "Pixelsize"
 *   }
 * )
 */
class PixelsizeDefaultFormatter extends FormatterBase {

  /**
   * Define how the field type is showed.
   *
   * Inside this method we can customize how the field is displayed inside
   * pages.
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {

    $elements = [];
    foreach ($items as $delta => $item) {
      $elements[$delta] = [
        '#type' => 'markup',
        '#markup' => $item->width . $this->t('×') . $item->height . $this->t('px')
      ];
    }

    return $elements;
  }

}
